Show / Hide Table of Contents

# AsyncMouseUpAsButtonTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseUpAsButtonTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseUpAsButtonTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseUpAsButtonAsyncHandler() |
GetOnMouseUpAsButtonAsyncHandler(CancellationToken) |
OnMouseUpAsButtonAsync() |
OnMouseUpAsButtonAsync(CancellationToken) |

### Methods

#### GetOnMouseUpAsButtonAsyncHandler()

    public IAsyncOnMouseUpAsButtonHandler GetOnMouseUpAsButtonAsyncHandler()

##### Returns

IAsyncOnMouseUpAsButtonHandler

#### GetOnMouseUpAsButtonAsyncHandler(CancellationToken)

    public IAsyncOnMouseUpAsButtonHandler GetOnMouseUpAsButtonAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnMouseUpAsButtonHandler

#### OnMouseUpAsButtonAsync()

    public UniTask OnMouseUpAsButtonAsync()

##### Returns

UniTask

#### OnMouseUpAsButtonAsync(CancellationToken)

    public UniTask OnMouseUpAsButtonAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>